petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecMAXPY

Computes y = y + sum alpha[j] x[j]

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecMAXPY(Vec y,PetscInt nv,const PetscScalar alpha[],Vec x[])

Logically Collective on Vec Many br

### Input Parameters

| nv | - number of scalars and x-vectors Many br
| alpha | - array of scalars Many br
| y | - one vector Many br
| x | - array of vectors Many br

Many br

Notes: y cannot be any of the x vectors Many br

### See Also

VecAXPY(), VecWAXPY(), VecAYPX()

Level:intermediate
Location:src/vec/vec/interface/rvector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html